import { Command, EntityNamespacer, EntityNameEscaper } from "./Command";
export declare function insertSQL(cmd: Command, namespacer: EntityNamespacer, escaper: EntityNameEscaper): string;
export declare function updateSQL(cmd: Command, namespacer: EntityNamespacer, escaper: EntityNameEscaper): string;
export declare function deleteSQL(cmd: Command, namespacer: EntityNamespacer, escaper: EntityNameEscaper): string;
export declare function truncateSQL(cmd: Command, namespacer: EntityNamespacer, escaper: EntityNameEscaper): string;
export declare function selectSQL(cmd: Command, namespacer: EntityNamespacer, escaper: EntityNameEscaper): string;
export declare function countSQL(cmd: Command, namespacer: EntityNamespacer, escaper: EntityNameEscaper): string;
export declare function identityAsSQLFilter(cmd: Command, escaper: EntityNameEscaper): string;
export declare function serializeSQLNameList(names: string[], escaper: EntityNameEscaper): string;
export declare function serializeSQLValueList(args: any[]): string;
export declare function serializeSQLString(value: string): string;
export declare function serializeJavaScriptLiteralAsSQL(value: any): string;
